<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>
<%= toolbar title: "#{Category.model_name.human} #{@category.name}" %>
<%= form_tag({}, {method: :delete, class: 'form'}) do %>
  <p><strong><%= t(:text_work_package_category_destroy_question, count: @issue_count) %></strong></p>

  <div class="form--field">
    <label class="form--label" for="todo_nullify"><%= t(:text_work_package_category_destroy_assignments) %></label>
    <div class="form--field-container">
      <%= styled_radio_button_tag 'todo', 'nullify', true %>
    </div>
  </div>

  <% if @categories.size > 0 %>
    <div class="form--field">
      <label class="form--label" for="todo_reassign"><%= t(:text_work_package_category_reassign_to) %></label>
      <div class="form--field-container">
        <%= styled_radio_button_tag 'todo', 'reassign', false %>
      </div>
      <%= label_tag "reassign_to_id", t(:description_work_package_category_reassign), class: "hidden-for-sighted" %>
      <%= styled_select_tag 'reassign_to_id', options_from_collection_for_select(@categories, 'id', 'name'), container_class: '-middle' %>
    </div>
  <% end %>

  <%= submit_tag t(:button_apply), class: 'button -primary' %>
  <%= link_to t(:button_cancel), project_settings_categories_path(@project), class: 'button' %>
<% end %>
